Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Transport_Descriptor_Property Class Reference

Base RT Transport Descriptor Property that can be <insert> ed into the TAO_RT_Transport_Descriptor class. More...

`#include <RT_Transport_Descriptor_Property.h>`

Inheritance diagram for TAO_RT_Transport_Descriptor_Property:

[legend]
List of all members.

## Public Methods
| TAO_RT_Transport_Descriptor_Property (void)
| Constuctor.
virtual | ~TAO_RT_Transport_Descriptor_Property (void)
| Destructor.
virtual TAO_RT_Transport_Descriptor_Property * | duplicate (void)=0
virtual CORBA::Boolean | is_equivalent (const TAO_RT_Transport_Descriptor_Property *other_prop)=0
## Protected Attributes
TAO_RT_Transport_Descriptor_Property * | next_
| Properties can be chanined using the <next_> pointer;.
## Private Methods
| TAO_RT_Transport_Descriptor_Property (const TAO_RT_Transport_Descriptor_Property &)
TAO_RT_Transport_Descriptor_Property & | operator= (const TAO_RT_Transport_Descriptor_Property &)
## Friends
class | TAO_RT_Transport_Descriptor

## Detailed Description

Base RT Transport Descriptor Property that can be <insert> ed into the TAO_RT_Transport_Descriptor class.

## Constructor & Destructor Documentation

ACE_INLINE TAO_RT_Transport_Descriptor_Property::TAO_RT_Transport_Descriptor_Property | ( | void |  | ) |

| Constuctor.

TAO_RT_Transport_Descriptor_Property::~TAO_RT_Transport_Descriptor_Property | ( | void |  | ) | `[virtual]`

| Destructor.

TAO_RT_Transport_Descriptor_Property::TAO_RT_Transport_Descriptor_Property | ( | const TAO_RT_Transport_Descriptor_Property & |  | ) | `[private]`

## Member Function Documentation

virtual TAO_RT_Transport_Descriptor_Property* TAO_RT_Transport_Descriptor_Property::duplicate | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_RT_Transport_Descriptor_Private_Connection_Property, and TAO_RT_Transport_Descriptor_Banded_Connection_Property.

virtual CORBA::Boolean TAO_RT_Transport_Descriptor_Property::is_equivalent | ( | const TAO_RT_Transport_Descriptor_Property * | other_prop | ) | `[pure virtual]`

| Implemented in TAO_RT_Transport_Descriptor_Private_Connection_Property, and TAO_RT_Transport_Descriptor_Banded_Connection_Property.

TAO_RT_Transport_Descriptor_Property& TAO_RT_Transport_Descriptor_Property::operator= | ( | const TAO_RT_Transport_Descriptor_Property & |  | ) | `[private]`

## Friends And Related Function Documentation

friend class TAO_RT_Transport_Descriptor`[friend]`

## Member Data Documentation

TAO_RT_Transport_Descriptor_Property* TAO_RT_Transport_Descriptor_Property::next_`[protected]`

| Properties can be chanined using the <next_> pointer;.

The documentation for this class was generated from the following files:

- RT_Transport_Descriptor_Property.h
- RT_Transport_Descriptor_Property.cpp
- RT_Transport_Descriptor_Property.inl